Subject: bug#9140: Coreutils Bug on OSX 10.7 (Lion)

From: Paul Eggert <[email-masked]>
Date: Sun, 24 Jul 2011 23:55:02 -0700

On 07/24/11 14:59, Bruno Haible wrote:

> +dnl Enable large-file support. This has the effect of changing the size
> +dnl of field f_blocks in 'struct statfs' from 32 bit to 64 bit on
> +dnl MacOS X >= 10.5 (32-bit mode), allowing file systems >= 4 TiB to be
> +dnl found.
> +AC_REQUIRE([AC_SYS_LARGEFILE])
> +
>  AC_CHECK_FUNCS([listmntent getmntinfo])
>  AC_CHECK_HEADERS_ONCE([sys/param.h sys/statvfs.h])

Why is this part of the patch needed?  If the mountlist module
depends on the largefile module, AC_SYS_LARGEFILE is already
guaranteed to be invoked.  Please see, for example, my proposed
patch in <http://lists.gnu.org/archive/html/bug-gnulib/2011-07/msg00361.html>
and updated just now, which changes mountlist to depend on largefile,
but does not add the AC_REQUIRE (and in fact removes a couple of
AC_REQUIRE calls that are no longer needed, in mkstemp.m4 and
tempname.m4).